<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\Anmeldung\MehrfachDialog;

class MehrfachDialogPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new MehrfachDialogView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new MehrfachDialogViewModel();
    $viewModel->geschlechtAuswahl = $this->useCaseResponse->geschlechtAuswahl;
    $viewModel->teilfrei = $this->useCaseResponse->teilfrei;
    $viewModel->readonly = $this->useCaseResponse->readonly;

    return $viewModel;
  }
}